Bug 259307 - [NEW PORT] devel/py-circuitbreaker: Python Circuit Breaker pattern implementation
Summary: [NEW PORT] devel/py-circuitbreaker: Python Circuit Breaker pattern implementa...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://github.com/fabfuel/circuitbre...
Keywords:
Depends on:
Blocks: 259579 259295
  Show dependency treegraph
 
Reported: 2021-10-20 14:05 UTC by Alessandro Sagratini
Modified: 2021-11-03 01:00 UTC (History)
2 users (show)

See Also:


Attachments
poudriere output (19.17 KB, text/plain)
2021-10-20 14:05 UTC, Alessandro Sagratini
no flags Details
port test (5.33 KB, text/plain)
2021-10-20 14:06 UTC, Alessandro Sagratini
no flags Details
portlint -A output (90 bytes, text/plain)
2021-10-20 14:07 UTC, Alessandro Sagratini
no flags Details
make describe (361 bytes, text/plain)
2021-10-20 14:07 UTC, Alessandro Sagratini
no flags Details
git diff file (1.63 KB, patch)
2021-10-20 18:52 UTC, Alessandro Sagratini
no flags Details | Diff
patch in git format-patch format (2.20 KB, patch)
2021-10-28 05:59 UTC, Alessandro Sagratini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Sagratini 2021-10-20 14:05:11 UTC
Created attachment 228878 [details]
poudriere output
Comment 1 Alessandro Sagratini 2021-10-20 14:06:05 UTC
Hello team,
I am proposing to add this port, as recent py-oci versions are adding it as requirement.

Let me know if you need anything else from me.
Thank you,
Alessandro
Comment 2 Alessandro Sagratini 2021-10-20 14:06:26 UTC
Created attachment 228879 [details]
port test
Comment 3 Alessandro Sagratini 2021-10-20 14:07:04 UTC
Created attachment 228880 [details]
portlint -A output
Comment 4 Alessandro Sagratini 2021-10-20 14:07:22 UTC
Created attachment 228881 [details]
make describe
Comment 5 Alessandro Sagratini 2021-10-20 18:52:04 UTC
Created attachment 228902 [details]
git diff file
Comment 6 Koichiro Iwao freebsd_committer 2021-10-28 05:22:08 UTC
Can you send the diff as `git format-patch`?
Comment 7 Alessandro Sagratini 2021-10-28 05:59:14 UTC
Created attachment 229090 [details]
patch in git format-patch format
Comment 8 Alessandro Sagratini 2021-10-28 05:59:45 UTC
Added new patch, thanks Koichiro!
Comment 9 Yasuhiro Kimura freebsd_committer 2021-10-30 07:22:19 UTC
Take.
Comment 10 commit-hook freebsd_committer 2021-10-30 08:02:24 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ae9fd746568e7b3034e00c24a5a457640640905f

commit ae9fd746568e7b3034e00c24a5a457640640905f
Author:     Alessandro Sagratini <ale_sagra@hotmail.com>
AuthorDate: 2021-10-28 05:56:36 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-30 08:00:26 +0000

    devel/py-circuitbreaker: Add new port

    This is a Python implementation of the "Circuit Breaker" Pattern.
    (http://martinfowler.com/bliki/CircuitBreaker.html)
    Inspired by Michael T. Nygard's highly recommendable book Release It!
    (https://pragprog.com/book/mnee/release-it)

    PR:             259307

 devel/Makefile                          |  1 +
 devel/py-circuitbreaker/Makefile (new)  | 25 +++++++++++++++++++++++++
 devel/py-circuitbreaker/distinfo (new)  |  3 +++
 devel/py-circuitbreaker/pkg-descr (new) |  7 +++++++
 4 files changed, 36 insertions(+)
Comment 11 Yasuhiro Kimura freebsd_committer 2021-10-30 08:03:49 UTC
Committed with some refinements. Thanks!